package com.dxhy.manage.service;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSONArray;
import com.dxhy.manage.entity.SysDeptEntity;

/**
 * @author futianhao
 */
public interface OperationsToolsService {

    /**
     * 通过文件导入更新入库时间
     * 
     * @param detailArray
     * @return
     */
    String updateCreateDateByInvoices(JSONArray detailArray);

    /**
     * 获取集团信息
     * 
     * @return
     */
    List<SysDeptEntity> getBlocList();

    /**
     * 获取集团下税号
     * 
     * @param blocId
     *            集团id
     * @return 税号信息
     */
    List<SysDeptEntity> getTaxNoList(String blocId);

    /**
     * 设置集团入库时间更新到当前时间
     * 
     * @param params
     * @return
     */
    String updateCreateDateByBlocId(Map<String, Object> params);
}
